Subject: Different types of JDK's
To: None <>
From: Erik Mattsson <>
List: tech-pkg
Date: 07/04/2002 13:26:01

Im new to netbsd and am having alot of problems installing the java software.

I want to use the latest jdk available, which means that I need to install the
lang/sun-jdk1.3 package. No problem yet, but when I want to install
the devel/jakarta-ant package, which depends on textproc/crimson that
depends on the lang/jdk package. The land/jdk package is jdk 1.1.8 and
it conflicts with the lang/sun-jdk1.3 package and therefore the whole
installation process fails.

Now Ive searched using google on how to correct this problem, but havent
found any solution at all. How do I install a package without installing the
dependencies? BTW, is it possible to direct all dependencies from lang/jdk
to lang/sun-jdk1.3, since I have a feeling that this will not be the first time..

Any help is appreciated

Erik Mattsson

imBridge AB
Vasaplatsen 8
SE-411 34 Göteborg

Phone: +46-31-138310
Mobile: +46-733-174116